@echo off

if [%1] == [] goto :Usage

:Loop
cls
@REM tasklist /fi "imagename eq %~1"
tasklist |findstr /i %~1
netstat -anp tcp | findstr /i %~1
netstat -anp tcpv6 | findstr /i %~1
ping -n 6 127.0.0.1 >NUL
goto Loop

goto Cleanup

:Usage
echo %~n0 port

:Cleanup
